Get one alert channel
GET
/api/v1/alerts/channels/{id}
const url = 'https://example.com/api/v1/alerts/channels/1';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/alerts/channels/1 \ --header 'Authorization: <Authorization>'Returns a single alert channel by ID. Secrets are redacted unless reveal=1.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
integer
Channel ID
Query Parameters
Section titled “Query Parameters”reveal
integer
Pass 1 to include secret fields (admin only)
Responses
Section titled “Responses”OK
Media typeapplication/json
object
config
object
created_at
string
enabled
boolean
environment_id
integer
id
integer
info
string
name
string
type
string
updated_at
string
Examplegenerated
{ "config": {}, "created_at": "example", "enabled": true, "environment_id": 1, "id": 1, "info": "example", "name": "example", "type": "example", "updated_at": "example"}Bad request
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Unauthorized
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Forbidden
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Not found
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Alerts disabled
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}